<div class="card">
    <div class="machine-img" [ngStyle]="imageStyle()">
        <button mat-icon-button class="menu" [matMenuTriggerFor]="menu">
            <mat-icon> more_horiz</mat-icon>
        </button>

        <mat-menu #menu="matMenu">
            <ng-template [ngIf]="machine.qrcode">
                <button mat-menu-item (click)="openViewQRCodeDialog()">
                    <mat-icon>qr_code</mat-icon>
                    <span>Visualizar QR Code</span>
                </button>
            </ng-template>
            <button mat-menu-item (click)="openViewDialog()">
                <mat-icon>visibility</mat-icon>
                <span>Visualizar</span>
            </button>
            <button mat-menu-item (click)="openUpdateDialog()">
                <mat-icon>edit</mat-icon>
                <span>Editar</span>
            </button>
            <button mat-menu-item (click)="openDeleteDialog()">
                <mat-icon color="warn">delete</mat-icon>
                <span>Remover</span>
            </button>
        </mat-menu>
    </div>

    <div class="card-content">
        <h3>{{ machine.name }}</h3>

        <div class="info">
            <div class="state">
                <mat-icon>pending_actions</mat-icon>
                {{ machine.state ? 'Disponível' : 'Indisponível' }}
            </div>
        </div>
    </div>
</div>
